{module:system.package.LoadList force}<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<meta name="robots" content="noindex,nofollow,noarchive">
	<meta name="description" content="" />
	<meta name="keywords" content="" />
	<link rel="stylesheet" type="text/css" media="screen" href="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/css/common.css.php" />
	<link rel="stylesheet" type="text/css" media="screen" href="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/css/contents.css.php" />
	<link rel="stylesheet" type="text/css" media="print" href="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/css/print.css.php" />
	<script language="JavaScript" type="text/javascript" src="/js/formercommon.js"></script>
	{foreach:system.package.installedPackageObjectHash packageId packageObject}
	{if:packageObject->hasPackageCss()}
	<link rel="stylesheet" type="text/css" media="screen,tv" href="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/{write:packageId}/package.css" />
	{/if}
	{if:packageObject->hasPackageJs()}
	<script language="JavaScript" type="text/javascript" src="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/{write:packageId}/{write:packageId}.js.php"></script>
	{/if}
	{/foreach}
	<title>{write:page_title}　<?php echo RELEASE_NAME; ?> ver<?php echo RELEASE_VERSION; ?></title>
<script language="JavaScript" type="text/javascript"><!--
var mdsmSidebarHttpObject;
function mdsmSelectPackageInit() {
	var packageId	= FormerCommon.getCookie('PPSID');
	if( packageId && packageId.length > 0 ) {
		FormerCommon.setCookie('PPSID',null,60*60*24);
		mdsmSelectPackage(packageId);
	}
}
function mdsmSelectPackage(packageId){
	var oldPackageId	= FormerCommon.getCookie('PPSID');
	var blockId			= 'mdsm-sidebar-'+oldPackageId;
	var childId			= 'mdsm-sidebar-inner-'+oldPackageId;
	var sidebarBlock	= document.getElementById(blockId);
	var innerBlock		= document.getElementById(childId);
	if( oldPackageId && oldPackageId.length > 0 ) {
		if( sidebarBlock && innerBlock ) {
			sidebarBlock.removeChild(innerBlock);
		}
		if( oldPackageId == packageId ) {
			FormerCommon.setCookie('PPSID',null,60*60*24);
			return;
		}
	}
	var blockId			= 'mdsm-sidebar-'+packageId;
	var sidebarBlock	= document.getElementById(blockId);
	if( sidebarBlock ) {
		var loadingBlock	= document.createElement('div');
		loadingBlock.id		= 'mdsm-sidebar-loading-'+packageId;
		loadingBlock.style.textAlign	= 'center';
		loadingBlock.style.padding		= '10px';
		loadingBlock.style.backgroundColor	= '#ffffff';
		var loadingImage	= new Image();
		loadingImage.src	= '<?php echo SPIDER_URI_BASE; ?>js/images/loading_s_01.gif';
		loadingBlock.appendChild(loadingImage);
		sidebarBlock.appendChild(loadingBlock);
	}
	FormerCommon.setCookie('PPSID',packageId,60*60*24);
	var sidebarUrl = '<?php echo SPIDER_URI_BASE.SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/' + packageId + '/submenu.php';
	mdsmSidebarHttpObject	= FormerCommon.createHttpRequest(mdsmSelectPackageResult);
	if (mdsmSidebarHttpObject) {
		mdsmSidebarHttpObject.open("GET",sidebarUrl,true);
		mdsmSidebarHttpObject.send(null);
	}
}
function mdsmSelectPackageResult() {
	if ((mdsmSidebarHttpObject.readyState == 4) && (mdsmSidebarHttpObject.status == 200)){
		if( mdsmSidebarHttpObject.responseText.indexOf('<head>') >= 0 ) {
			alert('一定時間操作しなかったため自動的にログアウトされました！\nお手数ですがログインしなおしてください!');
			window.location.href='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/';
			return;
		}
		var packageId	= FormerCommon.getCookie('PPSID');
		var blockId		= 'mdsm-sidebar-'+packageId;
		var childId		= 'mdsm-sidebar-inner-'+packageId;
		var sidebarBlock	= document.getElementById(blockId);
		if( sidebarBlock ) {
			var loadingBlock		= document.getElementById('mdsm-sidebar-loading-'+packageId);
			if( loadingBlock ) {
				sidebarBlock.removeChild(loadingBlock);
			}
			var innerBlock		= document.createElement('div');
			innerBlock.id		= childId;
			innerBlock.innerHTML	= mdsmSidebarHttpObject.responseText;
			sidebarBlock.appendChild(innerBlock);
		}
	} else if ((mdsmSidebarHttpObject.readyState == 4) && (mdsmSidebarHttpObject.status != 200)){
		var packageId	= FormerCommon.getCookie('PPSID');
		var blockId		= 'mdsm-sidebar-'+packageId;
		var sidebarBlock	= document.getElementById(blockId);
		if( sidebarBlock ) {
			var loadingImage	= document.getElementById('mdsm-sidebar-loading');
			if( loadingImage ) {
				sidebarBlock.removeChild(loadingImage);
			}
		}
	} else {
	}
}
if(window.attachEvent){
	window.attachEvent('onload',mdsmSelectPackageInit);
}else{
	window.addEventListener('DOMContentLoaded',mdsmSelectPackageInit,false);
}
<?php
$curDir 		= '';
$curPath		= realpath('./');
$menubarPath	= null;
while( strlen($curPath) > strlen(SPIDER_BASE_PATH) ) {
	$barPath	= $curPath.DIRECTORY_SEPARATOR.'sidebar.php';
	if( file_exists( $barPath ) ) {
		$menubarPath	= $curDir.'sidebar.php';
		break;
	}
	$curDir	.= '../';
	$curPath	= realpath($curDir);
}
if( !is_null( $menubarPath ) ) {
?>
var mdsmPageSidebarHttpObject;
if(window.attachEvent){
	window.attachEvent('onload',mdsmLoadSidebar);
}else{
	window.addEventListener('DOMContentLoaded',mdsmLoadSidebar,false);
}
function mdsmLoadSidebar() {
	var sidebarBlock	= document.getElementById('mdsm-package-toolbar');
	if( sidebarBlock ) {
		var currentSidebar	= '<?php echo $menubarPath; ?>';
		mdsmPageSidebarHttpObject	= FormerCommon.createHttpRequest(mdsmLoadSidebarResult);
		if (mdsmPageSidebarHttpObject) {
			mdsmPageSidebarHttpObject.open("GET",currentSidebar,true);
			mdsmPageSidebarHttpObject.send(null);
		}
	}
}
function mdsmLoadSidebarResult() {
	if ((mdsmPageSidebarHttpObject.readyState == 4) && (mdsmPageSidebarHttpObject.status == 200)){
		var sidebarBlock	= document.getElementById('mdsm-package-toolbar');
		if( sidebarBlock ) {
			sidebarBlock.innerHTML	= mdsmPageSidebarHttpObject.responseText;
		}
	} else if ((mdsmPageSidebarHttpObject.readyState == 4) && (mdsmPageSidebarHttpObject.status != 200)){
	} else {
	}
}
<?php } ?>
var mdsToolsAdvHttpObject;
var mdsToolsAdvCurrentElmentId;
function systemGetMdsToolsAdvExecute(pos,num,elmId) {
	if( mdsToolsAdvHttpObject ) {
		setTimeout("systemGetMdsToolsAdvExecute('" + pos + "'," + num + ",'" + elmId + "')",300);
		return;
	}
	mdsToolsAdvCurrentElmentId	= elmId;
	mdsToolsAdvHttpObject	= FormerCommon.createHttpRequest(systemGetMdsToolsAdvExecuteResult);
	if( mdsToolsAdvHttpObject ) {
		var url	= '<?php echo SPIDER_URI_BASE.SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/getnews.php?rt=adv&pos=' + encodeURIComponent(pos)
			+ '&num=' + encodeURIComponent(num);
		mdsToolsAdvHttpObject.open("GET",url,true);
		mdsToolsAdvHttpObject.send(null);
	} else {
		alert('サーバー通信作成に失敗しました!');
	}
}
function systemGetMdsToolsAdvExecuteResult() {
	if ((mdsToolsAdvHttpObject.readyState == 4) && (mdsToolsAdvHttpObject.status == 200)){
		var updateBlock		= document.getElementById(mdsToolsAdvCurrentElmentId);
		if( updateBlock ) {
			var advString	= mdsToolsAdvHttpObject.responseText.trim();
			if( advString && advString.length > 0 ) {
				var advBlock	= document.createElement('div');
				advBlock.innerHTML	= advString;
				updateBlock.appendChild(advBlock);
			}
		}
		mdsToolsAdvHttpObject	= null;
	} else if ((mdsToolsAdvHttpObject.readyState == 4) && (mdsToolsAdvHttpObject.status != 200)){
		mdsToolsAdvHttpObject	= null;
	}
}
function systemGetMdsToolsAdvSidebar() {
	systemGetMdsToolsAdvExecute('side',1,'adv-sidebar-01');
	systemGetMdsToolsAdvExecute('side',2,'adv-sidebar-02');
	systemGetMdsToolsAdvExecute('side',3,'adv-sidebar-03');
	systemGetMdsToolsAdvExecute('side',4,'adv-sidebar-04');
	systemGetMdsToolsAdvExecute('side',5,'adv-sidebar-05');
}
if(window.attachEvent){
	window.attachEvent('onload',systemGetMdsToolsAdvSidebar);
}else{
	window.addEventListener('DOMContentLoaded',systemGetMdsToolsAdvSidebar,false);
}
//--></script>
</head>
<body>
<div id="container">
	<div id="header">
		<div id="header-inner">
			<div class="top-content-build"></div>
			<div class="top-content-wall">
				<div class="top-content-wall-inner">
					<div id="header-logo">
						<a href="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/index.php"><img src="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL.'/'.RELEASE_MAIN_PACKAGE; ?>/images/logo_01.jpg" alt="<?php echo RELEASE_NAME; ?> ver<?php echo RELEASE_VERSION; ?>" /></a>
					</div>
					<div id="header-help">
						<ul class="navi">
							<li><a href="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/logout.php" title="ログアウト"><img alt="ログアウト" src="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/images/icon/logout_01.jpg" onmouseover="this.src='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/images/icon/logout_01_on.jpg'" onmouseout="this.src='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/images/icon/logout_01.jpg'" /></a>
							<li><a href="http://sourceforge.jp/projects/shopformer/products/<?php echo RELEASE_NAME; ?>/" title="ヘルプ" target="_blank"><img alt="ヘルプ" src="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/images/icon/help_01.jpg" onmouseover="this.src='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/images/icon/help_01_on.jpg'" onmouseout="this.src='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/images/icon/help_01.jpg'" /></a>
						</ul>
					</div>
				</div>
			</div>
			<div class="top-content-bottom"></div>
		</div>
	</div>
	<div id="wrapper">
		<div id="wrapper-inner">
		<?php if(file_exists(SPIDER_BASE_PATH.'/checkinstall.php')) { ?>
		<div style="color:#ff0000;margin:5px;padding:5px;border:solid 1px #ff0000;background-color:#fff0f0;clear:both;">
			設置フォルダにcheckinstall.phpが存在します。セキュリティの為インストールが完了したらサーバー上から削除してください！
		</div>
		<?php } ?>
		<div id="left-bar">
			
			{if:count(system.package.installedPackageIdArray)>0}
			<div id="mdsm-package-toolbar"></div>
			
			<div class="left-bar-build"></div>
			<div class="left-bar-wall">
				<div class="left-bar-wall-inner">
					<div style="float:left;width:100%;">
						<div style="text-align:center;font-weight:bold;width:180px;padding:2px;word-break:break-all;">
							管理メニュー
						</div>
						<div class="sectionLinks"> 
							<ul>
								{foreach:system.package.installedPackageObjectHash packageId packageObject}{if:packageObject->hasPackageMenu()}
								<li id="mdsm-sidebar-{write:packageId}">
									<a href="javascript:mdsmSelectPackage('{write:packageId}')">{write:packageObject->getPackageViewName()}</a>
								</li>
								{/if}{/foreach}
								<li class="sectionLinks-bottom"><a href="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/">管理パネルトップ</a></li>
							</ul>
						</div>
					</div>
				</div>
			</div>
			<div class="left-bar-bottom"></div>
			{else}
			<div class="left-bar-build"></div>
			<div class="left-bar-wall">
				<div class="left-bar-wall-inner">
					<div class="sectionLinks"> 
						<div id="release-description"></div>
<script type="text/javascript"><!--
var systemViewReleaseDescriptionHttpObject;
function systemViewReleaseDescription(){
	systemViewReleaseDescriptionHttpObject	= FormerCommon.createHttpRequest(systemViewReleaseDescriptionResult);
	systemViewReleaseDescriptionHttpObject.src='/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/<?php echo RELEASE_MAIN_PACKAGE; ?>/description.php';
	if (systemViewReleaseDescriptionHttpObject) {
		systemViewReleaseDescriptionHttpObject.open("GET",systemViewReleaseDescriptionHttpObject.src,true);
		systemViewReleaseDescriptionHttpObject.send(null);
	}
}
function systemViewReleaseDescriptionResult() {
	if ((systemViewReleaseDescriptionHttpObject.readyState == 4) && (systemViewReleaseDescriptionHttpObject.status == 200)){
		var sidebarBlock	= document.getElementById('release-description');
		if( sidebarBlock ) {
			sidebarBlock.innerHTML	= systemViewReleaseDescriptionHttpObject.responseText;
		}
	} else if ((systemViewReleaseDescriptionHttpObject.readyState == 4) && (systemViewReleaseDescriptionHttpObject.status != 200)){
	} else {
	}
}
if(window.attachEvent){
	window.attachEvent('onload',systemViewReleaseDescription);
}else{
	window.addEventListener('DOMContentLoaded',systemViewReleaseDescription,false);
}
//--></script>
					</div>
				</div>
			</div>
			<div class="left-bar-bottom"></div>
			{/if}
			<!-- 広告表示 -->
			<div id="adv-sidebar-01"></div>
			<div id="adv-sidebar-02"></div>
			<div id="adv-sidebar-03"></div>
			<div id="adv-sidebar-04"></div>
			<div id="adv-sidebar-05"></div>
		</div>
		<div id="content">
			<div class="content-build"></div>
			<div class="content-wall">
				<div class="content-wall-inner" id="main-area">
{page-contents}
				</div>				
			</div>
			<div class="content-bottom"></div>
		</div>
		</div>
	</div>
	<div id="footer">
		<div class="top-content-build"></div>
		<div class="top-content-wall">
			<div class="top-content-wall-inner">
			<div id="copyright">
				<a href="http://sourceforge.jp/projects/shopformer/" target="_blank"><img src="/<?php echo SYSTEM_DIR_NAME_ADMIN_PANEL; ?>/images/mds_logo_01.gif" alt="MDS" style="float:right;" /></a>
				<?php echo RELEASE_NAME; ?> ver<?php echo RELEASE_VERSION; ?>
				<address>Copyright&#xA9;Shopformer Development Team. All Rights Reserved.</address>
			</div>
		</div>
		<div class="top-content-bottom"></div>
	</div>
</div><script language="JavaScript" type="text/javascript"><!--
function extendsMainArea() {
	var mainAreaBlock	= document.getElementById('main-area');
	var sidebarBlock	= document.getElementById('left-bar');
	if( mainAreaBlock ) {
		if ( document.documentElement ) {
			if( mainAreaBlock.clientHeight < document.documentElement.clientHeight - 300 ) {
				mainAreaBlock.style.paddingBottom	= String( document.documentElement.clientHeight - mainAreaBlock.clientHeight - 300 ) + 'px';
			} else if( sidebarBlock && mainAreaBlock.clientHeight < sidebarBlock.clientHeight ) {
				mainAreaBlock.style.paddingBottom	= String( sidebarBlock.clientHeight - mainAreaBlock.clientHeight ) + 'px';
			} 
		} else {
			if( mainAreaBlock.clientHeight < document.body.clientHeight - 300 ) {
				mainAreaBlock.style.paddingBottom	= String( document.body.clientHeight - mainAreaBlock.clientHeight - 300 ) + 'px';
			} else if( sidebarBlock && mainAreaBlock.clientHeight < sidebarBlock.clientHeight ) {
				mainAreaBlock.style.paddingBottom	= String( sidebarBlock.clientHeight - mainAreaBlock.clientHeight ) + 'px';
			}
		}
		
	}
}
if(window.attachEvent){
	window.attachEvent('onload',extendsMainArea);
}else{
	window.addEventListener('DOMContentLoaded',extendsMainArea,false);
}
//--></script></body>
</html>